/*
    pmacct (Promiscuous mode IP Accounting package)
    pmacct is Copyright (C) 2003 by Paolo Lucente
*/

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* structures */
struct _configuration_line {
  char key[SRVBUFLEN];
  char value[SRVBUFLEN];
};

struct configuration {
  char *imt_plugin_path;
  char *sql_db;
  char *sql_table;
  char *sql_user;
  char *sql_passwd;
  char *sql_host;
  int sql_optimize_clauses;
  int sql_refresh_time;
  unsigned int sql_history;
  unsigned int sql_history_howmany;
  char *sql_history_roundoff;
  char *clbuf;
  char *dev;
  int num_memory_pools;
  int memory_pool_size;
  int buckets;
  int daemon;
  int active_plugins;
  int using_config_file; 
  int registered_plugins[MAX_N_PLUGINS];
  unsigned int what_to_count;
};

/* prototypes */ 
int evaluate_configuration();
int parse_configuration_file(char *);
int parse_configuration_line(char *);
void parse_history_time(char *, unsigned int *, unsigned int *);
void debug_configuration_file();

/* global variables */
extern struct configuration config; /* plugin stuff */
