/*
    pmacct (Promiscuous mode IP Accounting package)
    pmacct is Copyright (C) 2003 by Paolo Lucente
*/

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* defines */
#define NUM_MEMORY_POOLS 16
#define MEMORY_POOL_SIZE 8192
#define MAX_HOSTS 255
#define ETH_ADDR_LEN 6

/* Structures */
struct acc {
  u_int8_t eth_dhost[ETH_ADDR_LEN];
  u_int8_t eth_shost[ETH_ADDR_LEN];
  struct in_addr ipa;
  struct in_addr flow;
  u_int16_t src_port;
  u_int16_t dst_port; 
  u_int8_t proto;
  int packet_counter;
  int bytes_counter;
  struct acc *next;
};

struct bucket_desc {
  short int num;
  short int howmany;
};

struct memory_pool_desc {
  int id;
  unsigned char *base_ptr;
  unsigned char *ptr;
  int space_left;
  int len;
  struct memory_pool_desc *next;
};

struct query_header {
  int csize;
  int vsize;
};

/* prototypes */
unsigned char *init_accounting_structure();
char *extract_token(char **, int);
// struct acc *insert_accounting_structure(struct in_addr *, int);
struct acc *insert_accounting_structure(struct pkt_primitives *, int);
struct acc *search_accounting_structure(struct pkt_primitives *);
void init_memory_pool_table();
void clear_memory_pool_descriptors();
struct memory_pool_desc *request_memory_pool(int);
int build_query_server(char *);
void process_query_data(int, unsigned char *, int);

/* global vars */
unsigned char *mpd;  /* memory pool descriptors table */
unsigned char *a;  /* accounting in-memory table */
struct memory_pool_desc *current_pool; /* pointer to currently used memory pool */
int no_more_space;
